#ifndef BLACKWINDOW_H
#define BLACKWINDOW_H

#include <QWidget>
#include <QAbstractNativeEventFilter>

class BlackWindow : public QWidget, public QAbstractNativeEventFilter
{
    Q_OBJECT
public:
    explicit BlackWindow(QWidget *parent = nullptr);

    virtual bool nativeEventFilter(const QByteArray &eventType, void *message, long *result) override;
    bool eventFilter(QObject *obj, QEvent *event);
signals:

private Q_SLOTS:
    void laterActivate();

protected:
    void paintEvent(QPaintEvent *event);
    bool screensaverIsShow = false;
};

#endif // BLACKWINDOW_H
